> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/embedded-signing/signing-url.md).

# Signing URL

## POST /api/Public/GetSigningURL/enc/get

> Get signing URL (encrypted)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetSigningURL"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto":{"type":"object","properties":{"kid":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"data":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetSigningURL/enc/get":{"post":{"tags":["GetSigningURL"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get signing URL (encrypted)","operationId":"post_GetSigningURL_enc_get"}}}}
```

## POST /api/Public/GetSigningURL/get

> Get signing URL

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetSigningURL"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WorkflowInfoRequest":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"referenceNo":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetSigningURL/get":{"post":{"tags":["GetSigningURL"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WorkflowInfoRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get signing URL","operationId":"post_GetSigningURL_get"}}}}
```

## POST /api/Public/GetSigningURL/get-with-docid

> Get with document ID

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetSigningURL"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WorkflowDocIdRequest":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"documentId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/GetSigningURL/get-with-docid":{"post":{"tags":["GetSigningURL"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WorkflowDocIdRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get with document ID","operationId":"post_GetSigningURL_get_with_docid"}}}}
```
